## kf6-kded 6.20.0+p24.04+vunstable+git20251202.0739

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.21.0") # handled by release scripts
set(KF_DEP_VERSION "6.20.0") # handled by release scripts
project(KDED VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.20.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 6.8.0)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt6 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED DBus Widgets)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Crash ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_DEP_VERSION})
find_package(KF6Service ${KF_DEP_VERSION} REQUIRED)


include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDED
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kded_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KDEDConfigVersion.cmake"
  SOVERSION 6)

# We don't install kded_version.h, it's only useful internally
# (given that this framework produces no library)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.19.0
)

if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(docs)
endif()

add_subdirectory(src)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KDED")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6KDEDConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KDEDConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KDEDConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KDEDConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(FILES org.kde.kded6.desktop DESTINATION ${KDE_INSTALL_APPDIR})

ecm_qt_install_logging_categories(
        EXPORT KDED
        FILE kded.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kded (6.20.0+p24.04+vunstable+git20251202.0739-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 07:39:46 +0000

kf6-kded (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:51 +1000

## kf6-kded 6.20.0+p24.04+vunstable+git20251206.0318

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KDED VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kded (6.20.0+p24.04+vunstable+git20251206.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:18:51 +0000

## kf6-kded 6.21.0

=== debian/changelog ===
kf6-kded (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:50:45 +0000

kf6-kded (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:13:41 +0000

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.21.0~),
               libkf6config-dev (>= 6.21.0~),
               libkf6coreaddons-dev (>= 6.21.0~),
               libkf6crash-dev (>= 6.21.0~),
               libkf6dbusaddons-dev (>= 6.21.0~),
               libkf6doctools-dev (>= 6.21.0~),
               libkf6service-dev (>= 6.21.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.21.0~),
         libkf6crash-dev (>= 6.21.0~),
         libkf6dbusaddons-dev (>= 6.21.0~),
         libkf6service-dev (>= 6.21.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kf6-kded 6.21.0+p24.04+vstable+git20251226.0215

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,8 @@
 # (given that this framework produces no library)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 if (KF6DocTools_FOUND)

=== debian/changelog ===
kf6-kded (6.21.0+p24.04+vstable+git20251226.0215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:15:59 +0000

kf6-kded (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:47 +1000

## kf6-kded 6.21.0+p24.04+vstable+git20260103.0236

=== debian/changelog ===
kf6-kded (6.21.0+p24.04+vstable+git20260103.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:36:16 +0000

## kf6-kded 6.21.0+p24.04+vunstable+git20251207.0733

=== debian/changelog ===
kf6-kded (6.21.0+p24.04+vunstable+git20251207.0733-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:33:26 +0000

## kf6-kded 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KDED VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kded (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:29:51 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6crash-dev (>= 6.21.0~),
-               libkf6dbusaddons-dev (>= 6.21.0~),
-               libkf6doctools-dev (>= 6.21.0~),
-               libkf6service-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
 Standards-Version: 4.7.0
@@ -35,10 +35,10 @@
 Section: libdevel
 Architecture: any
 Depends: kded6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.21.0~),
-         libkf6crash-dev (>= 6.21.0~),
-         libkf6dbusaddons-dev (>= 6.21.0~),
-         libkf6service-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6crash-dev (>= 6.22.0~),
+         libkf6dbusaddons-dev (>= 6.22.0~),
+         libkf6service-dev (>= 6.22.0~),
          ${misc:Depends},
 Description: Extensible daemon for providing session services
  KDED runs in the background and performs a number of small tasks.

## kf6-kded 6.22.0+p24.04+vstable+git20260109.0209

=== debian/changelog ===
kf6-kded (6.22.0+p24.04+vstable+git20260109.0209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 02:09:22 +0000

kf6-kded (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:24 +1000

## kf6-kded 6.22.0+p24.04+vstable+git20260111.0323

=== debian/changelog ===
kf6-kded (6.22.0+p24.04+vstable+git20260111.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 03:23:20 +0000

## kf6-kded 6.22.0+p24.04+vstable+git20260126.0711

=== debian/changelog ===
kf6-kded (6.22.0+p24.04+vstable+git20260126.0711-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:11:44 +0000

## kf6-kded 6.22.0+p24.04+vunstable+git20260126.0759

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KDED VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kded (6.22.0+p24.04+vunstable+git20260126.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:59:06 +0000

## kf6-kded 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KDED VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kded (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:55 +0100

=== debian/control ===
Source: kf6-kded
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               extra-cmake-modules (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6coreaddons-dev (>= 6.23.0~),
               libkf6crash-dev (>= 6.23.0~),
               libkf6dbusaddons-dev (>= 6.23.0~),
               libkf6doctools-dev (>= 6.23.0~),
               libkf6service-dev (>= 6.23.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kded.git

Package: kded6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.23.0~),
         libkf6crash-dev (>= 6.23.0~),
         libkf6dbusaddons-dev (>= 6.23.0~),
         libkf6service-dev (>= 6.23.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.
